Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.attributeparsers
Class LengthAttributeParser

    java.lang.Object
      com.google.gwt.uibinder.attributeparsers.LengthAttributeParser

All Implemented Interfaces:
  AttributeParser

    public class LengthAttributeParser

extends java.lang.Object
implements AttributeParser

Parses a CSS length value (e.g., "2em", "50%"), returning a comma-separated (double, Unit) pair.

Field Summary
`(package private) static java.lang.String` | `UNIT`

Constructor Summary
`LengthAttributeParser(DoubleAttributeParser doubleParser, EnumAttributeParser enumParser, com.google.gwt.uibinder.rebind.MortalLogger logger)`

Method Summary
`java.lang.String` | `parse(com.google.gwt.uibinder.rebind.XMLElement source, java.lang.String lengthStr)` Parse the given attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIT

    static final java.lang.String UNIT

Constructor Detail

### LengthAttributeParser

    LengthAttributeParser(DoubleAttributeParser doubleParser,
                          EnumAttributeParser enumParser,
                          com.google.gwt.uibinder.rebind.MortalLogger logger)

Method Detail

### parse

    public java.lang.String parse(com.google.gwt.uibinder.rebind.XMLElement source,
                                  java.lang.String lengthStr)
                           throws UnableToCompleteException

  Description copied from interface: `AttributeParser`
  Parse the given attribute value.

  Specified by:
    `parse` in interface `AttributeParser`
  Parameters:
    `source` - the source code the value came from, for error reporting purposes
    `lengthStr` - the attribute value to be parsed
  Returns:
    a valid Java expression
  Throws:
    `UnableToCompleteException` - on parse error

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD